/*
 * dos.h
 *
 * Functions for working with old dos code
 *
 * This header file is meant for use with MSVCRT20.DLL as included with
 * Windows 95(tm) and Windows NT(tm). In conjunction with other versions
 * of the standard C library things may or may not work so well.
 *
 * Contributors:
 *  Created by Mikey <jeffdb@netzone.com>
 *
 *  THIS SOFTWARE IS NOT COPYRIGHTED
 *
 *  This source code is offered for use in the public domain. You may
 *  use, modify or distribute it freely.
 *
 *  This code is distributed in the hope that it will be useful but
 *  WITHOUT ANY WARRANTY. ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 *  DISCLAMED. This includes but is not limited to warranties of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _STRICT_ANSI

#ifndef _DOS_H_
#define _DOS_H_

#include <io.h>
#include <direct.h>


#ifdef  __cplusplus
extern "C" {
#endif

#if defined(_WIN32_WINNT)
// wide char functions available when building for NT
// stubs on win95 (won't work ;^)

#endif _WIN32_WINNT


#define _disable() __asm__ __volatile__ ("cli\n\t");

#define _enable() __asm__ __volatile__ ("sti\n\t");


#ifndef _NO_OLDNAMES

#define disable() __asm__ __volatile__ ("cli\n\t");

#define enable() __asm__ __volatile__ ("sti\n\t");

#endif /* Not _NO_OLDNAMES */


#ifdef  __cplusplus
}
#endif

#endif  /* Not _DOS_H_ */

#endif  /* Not _STRICT_ANSI */
