/*
 * fpieee.h
 *
 * Functions for working with fpieee errors?
 *
 * This header file is meant for use with MSVCRT20.DLL as included with
 * Windows 95(tm) and Windows NT(tm). In conjunction with other versions
 * of the standard C library things may or may not work so well.
 *
 * Contributors:
 *  Created by Mikey <jeffdb@netzone.com>
 *
 *  THIS SOFTWARE IS NOT COPYRIGHTED
 *
 *  This source code is offered for use in the public domain. You may
 *  use, modify or distribute it freely.
 *
 *  This code is distributed in the hope that it will be useful but
 *  WITHOUT ANY WARRANTY. ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 *  DISCLAMED. This includes but is not limited to warranties of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _STRICT_ANSI

#ifndef _FPIEEE_H_
#define _FPIEEE_H_

struct _FPIEEE_RECORD
{
unsigned int RoundingMode;
unsigned int Precision;
unsigned int Operation;
_FPIEEE_VALUE Operand1;
_FPIEEE_VALUE Operand2;
_FPIEEE_VALUE Result;
};


#ifdef  __cplusplus
extern "C" {
#endif

int _fpieee_flt( unsigned long exc_code, struct _EXCEPTION_POINTERS *exc_info, int handler(_FPIEEE_RECORD *) );

#if defined(_WIN32_WINNT)
// wide char functions available when building for NT
// stubs on win95 (won't work ;^)

#endif _WIN32_WINNT



#ifndef _NO_OLDNAMES


#endif /* Not _NO_OLDNAMES */


#ifdef  __cplusplus
}
#endif

#endif  /* Not _FPIEEE_H_ */

#endif  /* Not _STRICT_ANSI */
