/*
 * mbstring.h
 *
 * Definitions for multibyte strings.
 *
 * This header file is meant for use with CRTDLL.DLL as included with
 * Windows 95(tm) and Windows NT(tm). In conjunction with other versions
 * of the standard C library things may or may not work so well.
 *
 * Contributors:
 *  Created by Mikey <Jeffdb@netzone.com>
 *
 *  THIS SOFTWARE IS NOT COPYRIGHTED
 *
 *  This source code is offered for use in the public domain. You may
 *  use, modify or distribute it freely.
 *
 *  This code is distributed in the hope that it will be useful but
 *  WITHOUT ANY WARRANTY. ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 *  DISCLAMED. This includes but is not limited to warranties of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _MBSTRING_H_
#define _MBSTRING_H_

#ifndef _STRICT_ANSI

#ifdef __cplusplus
extern "C" {
#endif


/* the following functions probably belong in this file
;    _mbbtombc
;    _mbbtype
;    _mbccpy
;    _mbcjistojms
;    _mbcjmstojis
;    _mbclen
;    _mbctohira
;    _mbctokata
;    _mbctolower
;    _mbctombb
;    _mbctoupper
;    _mbctype
;    _mbsbtype
;    _mbscat
;    _mbschr
;    _mbscmp
;    _mbscpy
;    _mbscspn
;    _mbsdec
;    _mbsdup
;    _mbsicmp
;    _mbsinc
;    _mbslen
;    _mbslwr
;    _mbsnbcat
;    _mbsnbcmp
;    _mbsnbcnt
;    _mbsnbcpy
;    _mbsnbicmp
;    _mbsnbset
;    _mbsncat
;    _mbsnccnt
;    _mbsncmp
;    _mbsncpy
;    _mbsnextc
;    _mbsnicmp
;    _mbsninc
;    _mbsnset
;    _mbspbrk
;    _mbsrev
;    _mbsset
;    _mbsspn
;    _mbsspnp
;    _mbsstr
;    _mbstrlen
;    _mbsupr

also this macro is supposed to be evaluated in here somewhere
_MBCS

these functions were typed from functions used in sample applications
and may bear no resemblance to how they are supposed to be defined,
but they compile quietly ;^) use at your own risk.
*/
/* 		 search_path[MAXPATH]     '\\' */
char *_mbsrchr(char *search_path, char mychar);

char *_mbstok(char *szstring, char *mychar2);

#ifdef __cplusplus
}
#endif

#endif  /* Not strict ANSI */

#endif /* _MBSTRING_H_ */

