/*
 * share.h
 *
 * Constants for file sharing functions.
 *
 * This header file is meant for use with MSVCRT.DLL as included with
 * Windows 95(tm) and Windows NT(tm). In conjunction with other versions
 * of the standard C library things may or may not work so well.
 *
 * Contributors:
 *  Created by Colin Peters <colin@bird.fu.is.saga-u.ac.jp>
 *  Modified for use with msvcrt.dll by jeffdbREMOVETHIS@goodnet.com
 *
 *  THIS SOFTWARE IS NOT COPYRIGHTED
 *
 *  This source code is offered for use in the public domain. You may
 *  use, modify or distribute it freely.
 *
 *  This code is distributed in the hope that it will be useful but
 *  WITHOUT ANY WARRANTY. ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 *  DISCLAMED. This includes but is not limited to warranties of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
#ifndef	_STRICT_ANSI
#ifndef	_SHARE_H_
#define	_SHARE_H_
// from FSF/Windows32 corrected

// #define _SH_COMPAT (0)  //compatibility mode ? check
#define _SH_DENYRW (16) //Denies read and write access to file
#define _SH_DENYWR (32) //Denies write access to file
#define _SH_DENYRD (48) //Denies read access to file
#define _SH_DENYNO (64) //Permits read and write access

#endif	/* Not _SHARE_H_ */
#endif	/* Not _STRICT_ANSI */
